--- exim.init.orig	2005-12-21 22:00:41.000000000 +0200
+++ exim.init	2005-12-21 21:59:03.000000000 +0200
@@ -32,11 +32,21 @@
 	# check ownerships
 	# do this by seeing if /var/log/exim/main.log exists and is
 	# owned by exim - if owned by someone else we fix it up
-	if [ -f /var/log/exim/main.log ]
+	if [ -d /var/log/exim ]
 	then
-	    if [ "exim" != "`ls -l /var/log/exim/main.log | awk '{print $4}'`" ]
+	    if [ "${EXIM_USER}:${EXIM_GROUP}" != "`ls -ld /var/log/exim | awk '{print $3 \":\" $4}'`" ]
 	    then
-		chown -R exim:exim /var/log/exim /var/spool/exim
+		chown -R ${EXIM_USER}:${EXIM_GROUP} /var/log/exim
+		FILTER_LOG=/var/log/exim/filterlog
+		if [ ! -f ${FILTER_LOG} ] ; then touch ${FILTER_LOG} ; fi
+		chown -R ${EXIM_SYSTEM_FILTER_USER}:${EXIM_SYSTEM_FILTER_GROUP} ${FILTER_LOG}
+	    fi
+	fi
+	if [ -d /var/spool/exim ]
+	then
+	    if [ "${EXIM_USER}:${EXIM_GROUP}" != "`ls -ld /var/spool/exim | awk '{print $3 \":\" $4}'`" ]
+	    then
+		chown -R ${EXIM_USER}:${EXIM_GROUP} /var/spool/exim
 	    fi
 	fi
         # Start daemons.
